Application: gvSIG desktop - gvSIG bugs #5208
Tabla de atributos de shape vacia
03/24/2020 01:46 PM - Joaquin del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category:

Target version: 2.5.1-3013

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3012 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Cargamos el shape "parcelas_polig-OTRAS.shp" le damos a mostrar la tabla de atributos y saca las lineas que toca con todas las
celdas vacias.

Si borramos el fichero ".dal" lo carga bien.

Associated revisions

Revision 44840 - 03/24/2020 01:56 PM - Joaquin del Cerro Murciano

refs #5208, corregido el constructor del DBFStoreProvider, que en determinadas circunstancias no inicializaba el logger y fallaba cuando encontraba
un campo calculado y trataba de informar de ello en el log.

History

#1 - 03/24/2020 01:52 PM - Joaquin del Cerro Murciano
- File parcelas_otras.zip added

#2 - 03/24/2020 02:01 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed
Al final no tenia que ver con el fichero ".dal".

Era un problema en la inicializacion de la clase DBFStoreProvider que segun como se crease dejaba sin inicializar la variable "logger", y luego se
cuando intentaba mostrar algun mensaje en el log fallaba.

Lo del fichero ".dal" era solo que en este habia definido un campo calculado y cuando se le pedia este al proveedor de dbf trataba de mostrar un
mensaje en el log, y ahi cascaba.
#3 - 03/26/2020 11:01 AM - Alvaro Anguix

- Status changed from Fixed to Closed

Files

parcelas_otras.zip 24.5 KB 03/24/2020 Joaquin del Cerro Murciano
